Skip to main content
POST
Start a code review (repo_id addressing)

Authorizations

Authorization
string
header
required

OAuth 2.0 authorization code flow.

Headers

Idempotency-Key
string

Optional replay-safe key; a retried request with the same key and body returns the cached response instead of re-executing.

Path Parameters

repo_id
string
required

Repo id: placement ULID or public repo_

number
string
required

Trail number

Body

application/json
actor_id
string
Pattern: ^agent:[a-zA-Z0-9_-]{1,64}$
base_ref
string
Maximum string length: 255
base_sha
string | null
Pattern: ^[a-fA-F0-9]{40}$
head_ref
string
Maximum string length: 255
head_sha
string | null
Pattern: ^[a-fA-F0-9]{40}$

Response

Created

base_sha
string | null
required
code_version_id
string
required
diff_url
string
required
event_stream_url
string
required
files_url
string
required
head_sha
string | null
required
limits
object
required
repo_id
string
required
review_id
string
required
trail_id
string
required
$schema
string<uri>
read-only

A URL to the JSON Schema for this object.

Example:

"/api/v1/schemas/StartReviewResponseBody.json"